Subject: [PATCH] clk: rockchip: fix rk3288 cpuclk core dividers

From: [email-masked] (Heiko Stübner)
Date: Sun, 28 Dec 2014 23:19:24 +0100

Am Donnerstag, 18. Dezember 2014, 20:22:34 schrieb Heiko St?bner:
> Commit 0e5bdb3f9fa5 (clk: rockchip: switch to using the new cpuclk type
> for armclk) didn't take into account that the divider used on rk3288
> are of the (n+1) type.
> 
> The rk3066 and rk3188 socs use more complex divider types making it
> necessary for the list-elements to be the real register-values to write.
> 
> Therefore reduce divider values in the table accordingly so that they
> really are the values that should be written to the registers.
> 
> Reported-by: Sonny Rao <[email-masked]>
> Fixes: 0e5bdb3f9fa5
> Signed-off-by: Heiko Stuebner <[email-masked]>
> Cc: stable at vger.kernel.org

applied to my clk-fixes branch with fixed "Fixes"-Tag and Doug's review